VERSION 5.00
Begin VB.UserControl PropertyExplorer 
   ClientHeight    =   1815
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3720
   ScaleHeight     =   121
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   248
   ToolboxBitmap   =   "PropControl.ctx":0000
   Begin VB.PictureBox picPropHead 
      BackColor       =   &H00F0F0F0&
      Height          =   285
      Left            =   0
      ScaleHeight     =   225
      ScaleWidth      =   3480
      TabIndex        =   0
      Top             =   0
      Width           =   3540
      Begin VB.Label lblProp 
         Alignment       =   2  'Zentriert
         BackStyle       =   0  'Transparent
         Caption         =   "Objekteigenschaften"
         Height          =   240
         Left            =   0
         TabIndex        =   1
         Top             =   0
         Width           =   3465
      End
   End
   Begin VB.Timer tmrMouseOut 
      Enabled         =   0   'False
      Interval        =   5
      Left            =   675
      Top             =   1050
   End
   Begin VB.VScrollBar PropScroll 
      Height          =   765
      Left            =   3450
      TabIndex        =   5
      Top             =   300
      Width           =   240
   End
   Begin VB.PictureBox picPropCont 
      BackColor       =   &H00F0F0F0&
      Height          =   750
      Left            =   0
      ScaleHeight     =   46
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   217
      TabIndex        =   2
      Top             =   270
      Width           =   3315
      Begin VB.PictureBox picProp 
         AutoRedraw      =   -1  'True
         BackColor       =   &H00F0F0F0&
         BorderStyle     =   0  'Kein
         Height          =   1065
         Left            =   0
         ScaleHeight     =   71
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   216
         TabIndex        =   3
         Top             =   0
         Width           =   3240
         Begin eXact.fTextbox txtval 
            Height          =   255
            Index           =   1
            Left            =   1425
            TabIndex        =   6
            Top             =   0
            Visible         =   0   'False
            Width           =   1590
            _ExtentX        =   2805
            _ExtentY        =   450
            Text            =   "ftextbox"
            Backcolor       =   16777215
         End
         Begin VB.Label lblPropName 
            BackColor       =   &H00F0F0F0&
            Caption         =   "  Name"
            Height          =   225
            Index           =   1
            Left            =   0
            TabIndex        =   4
            Top             =   0
            Visible         =   0   'False
            Width           =   1665
         End
      End
   End
End
Attribute VB_Name = "PropertyExplorer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'##### Eigenschaftsexplorer #####

Option Explicit

Dim n As Integer, m As Integer, old_m As Integer, ZahlY As Integer
Dim NoChange As Byte

Const PropTexts = 3

Const PropCol_n = &HF0F0F0 'Hintegrundfarbe Eigenschaftsbereich normal
Const PropCol_m = &H6B2408 'Hintegrundfarbe Eigenschaftsbereich markiert

Event Change(ByVal Nr As Byte, ByVal Value As String)
Event ItemLostFocus()
Event PressReturn()

Private Sub lblPropName_MouseDown(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
txtval(Index).SetFocus
End Sub

Private Sub txtVal_Change(Index As Integer)
If NoChange = 0 Then RaiseEvent Change(Index, txtval(Index).Text)
End Sub

Private Sub txtVal_KeyPress(Index As Integer, KeyAscii As Integer)
If KeyAscii = 13 Then
    RaiseEvent PressReturn
    KeyAscii = 0
End If
End Sub

Private Sub txtVal_GotFocus(Index As Integer)
lblPropName(Index).BackColor = PropCol_m
lblPropName(Index).ForeColor = vbWhite
txtval(Index).ZOrder
End Sub

Private Sub txtVal_LostFocus(Index As Integer)
SetProp_N Index
RaiseEvent ItemLostFocus
End Sub

Private Sub txtVal_MouseMove(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
txtval(Index).ZOrder
End Sub

Private Sub UserControl_Initialize()
'Objekte laden
For n = 2 To PropTexts
    Load txtval(n)
    Load lblPropName(n)
Next
PropVis 3, True
End Sub

Public Property Let Headline(wert As String)
lblProp.Caption = "Objekteigenschaften - " & wert
End Property

Public Property Get hWnd() As Long
hWnd = UserControl.hWnd
End Property

Private Sub UserControl_Resize()
picPropHead.Width = UserControl.ScaleWidth
lblProp.Width = picPropHead.ScaleWidth
picPropCont.Height = UserControl.ScaleHeight - picPropHead.Height
PropScroll.Height = picPropCont.Height - 1
'Scrollbar
If (picProp.Height - 5) < picPropCont.ScaleHeight Then
    picPropCont.Width = UserControl.ScaleWidth
    PropScroll.Visible = False
Else
    picPropCont.Width = UserControl.ScaleWidth - PropScroll.Width
    PropScroll.Left = picPropCont.Width
    PropScroll.Visible = True
End If
PropScroll.Max = (picProp.ScaleHeight - picPropCont.ScaleHeight) / 20
picProp.Width = picPropCont.ScaleWidth
'Labels, Textfelder
For n = 1 To 3
    lblPropName(n).Width = (picProp.ScaleWidth / 2) + 1
    txtval(n).Width = (picProp.ScaleWidth / 2) - 1
    txtval(n).Left = (picProp.ScaleWidth / 2) + 2
Next
End Sub

Public Sub PaintProperties(Param1_Name As String, Param1_Value As String, Param2_Name As String, Param2_Value As String, Kommentar_Name As String, Kommentar_Value As String)
Const Abstand = 16
Const LineColor = &H808080
NoChange = 1
m = 1
'Auslesen und Beschriften
If Len(Param1_Name) > 0 Then
    PropVis 1, True
    lblPropName(1).Caption = "  " & Param1_Name
    txtval(1).Text = Param1_Value
    m = m + 1
Else
    PropVis 1, False
End If
If Len(Param2_Name) > 0 Then
    PropVis 2, True
    lblPropName(2).Caption = "  " & Param2_Name
    txtval(2).Text = Param2_Value
    m = m + 1
Else
    PropVis 2, False
End If
lblPropName(3).Caption = "  " & Kommentar_Name
txtval(3).Text = Kommentar_Value
NoChange = 0
'Ausrichtung
If old_m <> m Then
    picProp.Height = m * (Abstand)
    picProp.Cls
    ZahlY = 1
    For n = 1 To PropTexts
        If lblPropName(n).Visible = True Then
            SetProp_N (n)
            lblPropName(n).Top = (ZahlY - 1) * Abstand
            txtval(n).Top = (ZahlY - 1) * Abstand - 1
            picProp.Line (0, ZahlY * Abstand - 1)-(picProp.ScaleWidth, ZahlY * Abstand - 1), LineColor
            ZahlY = ZahlY + 1
        End If
    Next
    UserControl_Resize
    old_m = m
End If
End Sub

Public Sub SetTextboxFocus(Index As Integer)
txtval(Index).SetFocus
txtval(Index).Mark
End Sub

Private Sub PropVis(PropNr As Integer, Visibility As Boolean)
lblPropName(PropNr).Visible = Visibility
txtval(PropNr).Visible = Visibility
End Sub

Private Sub SetProp_N(Index As Integer)
lblPropName(Index).BackColor = PropCol_n
lblPropName(Index).ForeColor = vbBlack
End Sub

