VERSION 5.00
Begin VB.UserControl fTextbox 
   AutoRedraw      =   -1  'True
   ClientHeight    =   780
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2145
   ScaleHeight     =   52
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   143
   ToolboxBitmap   =   "ftextbox.ctx":0000
   Begin VB.Timer tmrOnMouseOut 
      Enabled         =   0   'False
      Interval        =   5
      Left            =   300
      Top             =   150
   End
   Begin VB.TextBox Text1 
      Appearance      =   0  '2D
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   0  'Kein
      ForeColor       =   &H00000000&
      Height          =   225
      Left            =   75
      TabIndex        =   0
      Text            =   "ftextbox"
      Top             =   75
      Width           =   1695
   End
End
Attribute VB_Name = "fTextbox"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'##### Flache Textbox (fr Eigenschaftsexplorer + Textzelle) #####

Option Explicit

Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Event Change()
Event KeyPress(KeyAscii As Integer)

Dim Left As Integer, Top As Integer
Dim focus As Boolean

Private Const Dunkelgrau = &H808080

Public Property Let Text(wert As String)
Attribute Text.VB_Description = "Bestimmt den Text des Steuerelementes"
Text1.Text = wert
End Property

Public Property Get Text() As String
Text = Text1.Text
End Property

Public Property Let BackColor(wert As OLE_COLOR)
Attribute BackColor.VB_Description = "Legt die Hintergrundfarbe des Steuerelementes fest"
Text1.BackColor = wert
UserControl_Resize
End Property

Public Property Get BackColor() As OLE_COLOR
BackColor = Text1.BackColor
End Property

Private Sub Text1_Change()
RaiseEvent Change
End Sub

Private Sub Text1_KeyPress(KeyAscii As Integer)
RaiseEvent KeyPress(KeyAscii)
End Sub

Private Sub Text1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Usercontrol_MouseMove Button, Shift, Text1.Left + (X / 15), Text1.Top + (Y / 15)
End Sub

Private Sub tmrOnMouseOut_Timer()
Call GetCursorPos(CursorPos)
If Not (CursorPos.Y > Top And CursorPos.X > Left And CursorPos.Y < Top + UserControl.ScaleHeight And CursorPos.X < Left + UserControl.ScaleWidth) Then
    UserControl.Cls
    UserControl.Line (0, 0)-(UserControl.ScaleWidth - 1, UserControl.ScaleHeight - 1), Dunkelgrau, B
    tmrOnMouseOut.Enabled = False
End If
End Sub

Private Sub UserControl_EnterFocus()
focus = True
UserControl_Resize
End Sub

Private Sub UserControl_ExitFocus()
focus = False
UserControl_Resize
End Sub

Private Sub UserControl_Initialize()
focus = False
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
On Error Resume Next
Text1.Text = PropBag.ReadProperty("Text")
Text1.BackColor = PropBag.ReadProperty("Backcolor", &HFFFFFF)
UserControl_Resize
End Sub

Private Sub Usercontrol_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
RaiseEvent MouseMove(Button, Shift, X, Y)
If X > 0 And Y > 0 And X < UserControl.ScaleWidth And Y < UserControl.ScaleHeight Then
    If tmrOnMouseOut.Enabled = False Then
        Call GetCursorPos(CursorPos)
        Top = CursorPos.Y - Y
        Left = CursorPos.X - X
        tmrOnMouseOut.Enabled = True
        UserControl.Line (0, 0)-(UserControl.ScaleWidth - 1, UserControl.ScaleHeight - 1), &H6B2408, B
    End If
End If
End Sub

Private Sub UserControl_Resize()
Text1.Left = 1
Text1.Top = 1
Text1.Height = UserControl.ScaleHeight - 2
Text1.Width = UserControl.ScaleWidth - 2
UserControl.Cls
If focus = False Then
    UserControl.Line (0, 0)-(UserControl.ScaleWidth - 1, UserControl.ScaleHeight - 1), Dunkelgrau, B
Else
    UserControl.Line (0, 0)-(UserControl.ScaleWidth - 1, UserControl.ScaleHeight - 1), &H6B2408, B
End If
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
PropBag.WriteProperty "Text", Text1.Text
PropBag.WriteProperty "Backcolor", Text1.BackColor
End Sub

Public Sub Mark()
Text1.SelStart = 0
Text1.SelLength = Len(Text1.Text)
End Sub
