Attribute VB_Name = "modAPI"
'##### API - Modul (z.B. fr ini-Dateien, HTML-Hilfe, Demo) #####

Option Explicit

'### Initialisierung der API-Funktionen ###
Private Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long
Private Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Private Declare Function ShellEx Lib "Shell32.dll" Alias "ShellExecuteA" (ByVal hWnd As Long, ByVal lpOperation As String, ByVal ProgName As String, ByVal Parameter As String, ByVal Verzeichnis As String, ByVal Modus As Long) As Long
Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function GetWindowRect Lib "user32" (ByVal hWnd As Long, lpRect As RECT) As Long
'Ausschlielich fr Demo-Funktionen
Public Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long
Private Declare Function SetWindowPos Lib "user32" (ByVal hWnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
Public Declare Sub Mouse_Event Lib "user32" Alias "mouse_event" (ByVal dwFlags As Long, ByVal dx As Long, ByVal dy As Long, ByVal cButtons As Long, ByVal dwExtraInfo As Long)
Public Declare Sub Keybd_Event Lib "user32" Alias "keybd_event" (ByVal bVk As Byte, ByVal bScan As Byte, ByVal dwFlags As Long, ByVal dwExtraInfo As Long)
Public Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer

Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type

Type POINTAPI
    X As Long
    Y As Long
End Type

Public CursorPos As POINTAPI
Public RectPos As RECT

'Sub zum Abrufen des Inhaltes der ini-Dateien
Function GetSettingIni(ByVal datei As String, ByVal Section As String, ByVal Key As String) As String
Dim a As String * 32000, X As Long
X = GetPrivateProfileString(Section, Key, "", a, 32000, datei)
GetSettingIni = Left(a, X)
End Function

'Sub zum Schreiben der ini-Dateien
Sub SaveSettingIni(ByVal datei As String, ByVal Section As String, ByVal Key As String, ByVal Setting As String)
Call WritePrivateProfileString(Section, Key, Setting, datei)
End Sub

'Sub um eine Internet oder Mailadresse aufzurufen
Sub Hyperlink(f As Form, adresse As String)
Call ShellEx(f.hWnd, vbNullString, adresse, vbNullString, vbNullString, vbNormalFocus)
End Sub

'Sub zum Platzieren der angegebenen Form in den Vordergrund
Sub Vordergrund(ByVal f As Form)
SetWindowPos f.hWnd, -1, f.Left / Screen.TwipsPerPixelX, f.Top / Screen.TwipsPerPixelY, f.Width / Screen.TwipsPerPixelX, f.Height / Screen.TwipsPerPixelY, &H40
End Sub

