VERSION 5.00
Begin VB.UserControl Rotary 
   ClientHeight    =   1065
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1740
   ScaleHeight     =   71
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   116
   ToolboxBitmap   =   "Rotary.ctx":0000
   Begin VB.Line LinePoint 
      BorderColor     =   &H00808080&
      Index           =   1
      X1              =   46
      X2              =   52
      Y1              =   14
      Y2              =   14
   End
   Begin VB.Line LinePoint 
      BorderColor     =   &H00808080&
      Index           =   2
      X1              =   45
      X2              =   52
      Y1              =   18
      Y2              =   18
   End
   Begin VB.Line LinePoint 
      BorderColor     =   &H00808080&
      Index           =   3
      X1              =   43
      X2              =   50
      Y1              =   22
      Y2              =   22
   End
   Begin VB.Label lblMaxVal 
      Alignment       =   1  'Rechts
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "12"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   150
      Left            =   330
      TabIndex        =   2
      Top             =   0
      Width           =   120
   End
   Begin VB.Label lblstatic 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "0"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   150
      Index           =   3
      Left            =   30
      TabIndex        =   1
      Top             =   0
      Width           =   60
   End
   Begin VB.Line LinePoint 
      BorderColor     =   &H000000FF&
      BorderWidth     =   2
      Index           =   0
      X1              =   15
      X2              =   16
      Y1              =   15
      Y2              =   6
   End
   Begin VB.Line Line6 
      X1              =   3
      X2              =   -1
      Y1              =   17
      Y2              =   17
   End
   Begin VB.Line Line7 
      X1              =   5
      X2              =   0
      Y1              =   26
      Y2              =   31
   End
   Begin VB.Line Line8 
      X1              =   15
      X2              =   15
      Y1              =   28
      Y2              =   32
   End
   Begin VB.Line Line10 
      X1              =   28
      X2              =   32
      Y1              =   17
      Y2              =   18
   End
   Begin VB.Label lblEinheit 
      Alignment       =   1  'Rechts
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "V"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   150
      Left            =   375
      TabIndex        =   0
      Top             =   330
      Width           =   75
   End
   Begin VB.Shape shpRegler 
      BackColor       =   &H00E0E0E0&
      BackStyle       =   1  'Undurchsichtig
      Height          =   300
      Left            =   90
      Shape           =   3  'Kreis
      Top             =   90
      Width           =   300
   End
   Begin VB.Shape Shape1 
      BackStyle       =   1  'Undurchsichtig
      Height          =   480
      Left            =   0
      Shape           =   1  'Quadrat
      Top             =   0
      Width           =   480
   End
End
Attribute VB_Name = "Rotary"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)

Event Closed()

Private Const CenterX = 16
Private Const CenterY = 16
Private Const Radius = 9

Dim MaxVal As Single
Dim aktWinkel As Single

Dim aktWinkelB As Single
Dim aktVal As Single
Dim CellNr As Integer
Dim ParamNr As Byte

'Beim Drehen
Dim StartAngle As Single

Public Function GetAngleByXY(ByVal PosX As Integer, ByVal PosY As Integer) As Single
Dim X As Integer, Y As Integer
'0 -> rechts
X = 31 - PosX - CenterX
Y = PosY - CenterY
If X = 0 And Y = 0 Then GetAngleByXY = -1: Exit Function
GetAngleByXY = AngleR(X, Y) * (180 / Pi)

'0 -> links oben
GetAngleByXY = GetAngleByXY - 135
If GetAngleByXY < 0 Then GetAngleByXY = GetAngleByXY + 360
End Function

Public Sub SetCell(Nr As Integer, ByVal Param As Integer)
If Param = 1 Then
    If aZelle(Nr).Param1 > 0 Then
        MaxVal = aZelle(Nr).Param1
    Else
        MaxVal = Objects(aZelle(Nr).ID).Param1
    End If
    lblMaxVal.Caption = FormatData(MaxVal, "", 1, 2, , 3)
    lblEinheit.Caption = FormatData(MaxVal, ModifyParam(IDtoParam1(aZelle(Nr).ID), 1), 2, 2)
Else
    If aZelle(Nr).Param2 > 0 Then
        MaxVal = aZelle(Nr).Param2
    Else
        MaxVal = Objects(aZelle(Nr).ID).Param2
    End If
    lblMaxVal.Caption = FormatData(MaxVal, "", 1, 2, , 3)
    lblEinheit.Caption = FormatData(MaxVal, ModifyParam(IDtoParam2(aZelle(Nr).ID), 1), 2, 2)
End If
ParamNr = Param
CellNr = Nr
End Sub

Public Property Let Value(wert As Single)
If wert > MaxVal Then SetCell CellNr, ParamNr
aktVal = wert
aktWinkel = 270 * (wert / MaxVal)
aktWinkelB = GetAngleRbyN(aktWinkel)
PaintRotary
End Property

'Bogenmawinkel durch Standardwinkel
Private Function GetAngleRbyN(ByVal Winkel As Single) As Single
Winkel = Winkel + 135
If Winkel >= 360 Then Winkel = Winkel - 360
GetAngleRbyN = Winkel * (Pi / 180)
End Function

'berprft, ob sich der Punkt auf dem Kreis befinden
Private Function CheckCircle(ByVal PosX As Integer, ByVal PosY As Integer) As Boolean
If Distance(CenterX, CenterY, PosX, PosY) <= Radius Then CheckCircle = True
End Function

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
If CheckCircle(X, Y) = True And Button = vbLeftButton Then
    StartAngle = GetAngleByXY(X, Y)
    PrepareBackup frmHaupt.mZ
Else
    StartAngle = -1
End If
RaiseEvent MouseDown(Button, Shift, X, Y)
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim oldVal As Single, valOut As Single
If StartAngle >= 0 And Button = vbLeftButton And GetAngleByXY(X, Y) >= 0 Then
    oldVal = aktVal
    DoTurn GetAngleByXY(X, Y) - StartAngle
    StartAngle = GetAngleByXY(X, Y)
    If aktVal <> oldVal Then
        ParseParam FormatData(aktVal, "", , 3), valOut
        frmHaupt.SetParam CellNr, ParamNr, valOut, 1
        frmHaupt.ZelleEinlesen frmHaupt.mZ, 1
    End If
End If
End Sub

Private Sub DoTurn(ByVal TurnAngle As Single)
Dim newAngle As Single
newAngle = aktWinkel + TurnAngle
    
If newAngle >= 360 Then newAngle = newAngle - 360
If newAngle < 0 Then newAngle = newAngle + 360

If newAngle > 315 Then newAngle = 0
If newAngle > 270 Then newAngle = 270

aktWinkel = newAngle
aktWinkelB = GetAngleRbyN(aktWinkel)
aktVal = MaxVal * (aktWinkel / 270)

PaintRotary
End Sub

Private Sub PaintRotary()
Dim n As Single
For n = 0 To 3
    'uerer Punkt
    LinePoint(n).X1 = Cos(aktWinkelB + n * (Pi / 2)) * Radius + CenterX
    LinePoint(n).Y1 = 31 - Sin(aktWinkelB + n * (Pi / 2)) * Radius - CenterY
    'Innerer Punkt
    LinePoint(n).X2 = Cos(aktWinkelB + n * (Pi / 2)) * Radius * 0.5 + CenterX
    LinePoint(n).Y2 = 31 - Sin(aktWinkelB + n * (Pi / 2)) * Radius * 0.5 - CenterY
Next
End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
SavePreparedBackup "Parameter ndern"
End Sub

Private Sub UserControl_Resize()
UserControl.Height = 32 * 15
UserControl.Width = 32 * 15
End Sub

Private Sub UserControl_KeyDown(KeyCode As Integer, Shift As Integer)
Dim valOut As Single
Select Case KeyCode
    Case vbKeyLeft
        If aktVal = 0 Then Exit Sub
        DoTurn -5 - (-(Shift = 1) * 15)
    Case vbKeyRight
        If aktVal = MaxVal Then Exit Sub
        DoTurn 5 + (-(Shift = 1) * 15)
    Case vbKeyReturn, vbKeyEscape
        RaiseEvent Closed
        Exit Sub
End Select
ParseParam FormatData(aktVal, "", , 2), valOut
frmHaupt.SetParam CellNr, ParamNr, valOut, 1
frmHaupt.ZelleEinlesen frmHaupt.mZ, 1
End Sub
