Attribute VB_Name = "modOptions"
'##### Modul fr Optionen #####

Option Explicit

Dim n As Integer

'Einstellungen speichern
Public Sub SaveSettings()
SaveSettingIni SettingsFile, "main", "saved", "true"
SaveSettingIni SettingsFile, "main", "modus", frmHaupt.Modus
SaveSettingIni SettingsFile, "main", "expcol", ExpCol
SaveSettingIni SettingsFile, "main_window", "left", frmHaupt.Left
SaveSettingIni SettingsFile, "main_window", "top", frmHaupt.Top
SaveSettingIni SettingsFile, "main_window", "width", frmHaupt.Width
SaveSettingIni SettingsFile, "main_window", "height", frmHaupt.Height
SaveSettingIni SettingsFile, "main_window", "state", frmHaupt.WindowState
SaveSettingIni SettingsFile, "options", "zahlengeraden", frmHaupt.mnuAnsicht(0).Checked
SaveSettingIni SettingsFile, "simoptions", "returnmessage", returnMessage
SaveSettingIni SettingsFile, "simoptions", "zws", zWS
SaveSettingIni SettingsFile, "simoptions", "b_bzws", b_BzWS
SaveSettingIni SettingsFile, "simoptions", "gble", GbLe
SaveSettingIni SettingsFile, "simoptions", "gblepro", GbLePro
SaveSettingIni SettingsFile, "simoptions", "gbdb", GbDb
SaveSettingIni SettingsFile, "simoptions", "gbdbpro", GbDbPro
SaveSettingIni SettingsFile, "simoptions", "wsdb", WsDb
SaveSettingIni SettingsFile, "simoptions", "wsdbpro", WsDbPro
SaveSettingIni SettingsFile, "simoptions", "dbbr", DbBr
SaveSettingIni SettingsFile, "simoptions", "gz", GZ
SaveSettingIni SettingsFile, "simoptions", "showgauge", ShowGauge
For n = 1 To cOb
    SaveSettingIni SettingsFile, "stdvals", n & "_param1", Objects(n).Param1
    SaveSettingIni SettingsFile, "stdvals", n & "_param2", Objects(n).Param2
Next
For n = 0 To c_Toolwin
    SaveSettingIni SettingsFile, "ToolWins", n & "_open", frmHaupt.ToolWin(n).Opened
    SaveSettingIni SettingsFile, "ToolWins", n & "_visible", frmHaupt.ToolWin(n).Visible
Next
End Sub

'Einstellungen laden
Public Sub LoadSettings()
frmHaupt.Modus = GetSettingIni(SettingsFile, "main", "modus")
ExpCol = GetSettingIni(SettingsFile, "main", "expcol")
returnMessage = GetSettingIni(SettingsFile, "simoptions", "returnmessage")
zWS = GetSettingIni(SettingsFile, "simoptions", "zws")
b_BzWS = GetSettingIni(SettingsFile, "simoptions", "b_bzws")
GbLe = GetSettingIni(SettingsFile, "simoptions", "gble")
GbLePro = GetSettingIni(SettingsFile, "simoptions", "gblepro")
GbDb = GetSettingIni(SettingsFile, "simoptions", "gbdb")
GbDbPro = GetSettingIni(SettingsFile, "simoptions", "gbdbpro")
WsDb = GetSettingIni(SettingsFile, "simoptions", "wsdb")
WsDbPro = GetSettingIni(SettingsFile, "simoptions", "wsdbpro")
DbBr = GetSettingIni(SettingsFile, "simoptions", "dbbr")
GZ = GetSettingIni(SettingsFile, "simoptions", "gz")
ShowGauge = GetSettingIni(SettingsFile, "simoptions", "showgauge")
If GZ < 2 Then GZ = 2
If GZ > 8 Then GZ = 8
For n = 1 To cOb
    Objects(n).Param1 = GetSettingIni(SettingsFile, "stdvals", n & "_param1")
    Objects(n).Param2 = GetSettingIni(SettingsFile, "stdvals", n & "_param2")
Next
End Sub

'Standardeinstellungen laden
Public Sub LoadStandard()
frmHaupt.WindowState = 0
frmHaupt.Height = 7680
frmHaupt.Width = 11070
frmHaupt.Left = (Screen.Width / 2) - (frmHaupt.Width / 2)
frmHaupt.Top = (Screen.Height / 2) - (frmHaupt.Height / 2)
returnMessage = 0
ShowGauge = 1
zWS = 0
b_BzWS = 0
GbLe = 1
GbDb = 1
WsDb = 1
DbBr = 1
GbLePro = 50
GbDbPro = 150
WsDbPro = 150
ExpCol = &HFFFFFF
GZ = 4
Objects(1).Param1 = 12
Objects(2).Param1 = 10000
Objects(3).Param1 = 1
Objects(4).Param1 = 12
Objects(4).Param2 = 6
Objects(5).Param1 = 0
Objects(6).Param1 = 10
Objects(7).Param1 = 12
Objects(7).Param2 = 6
Objects(8).Param1 = 12
Objects(8).Param2 = 0.5
Objects(9).Param1 = 6
Objects(9).Param2 = 0.5
Objects(10).Param1 = 12
Objects(10).Param2 = 50
Objects(11).Param1 = 10
Objects(11).Param2 = 100
Objects(12).Param1 = 10
Objects(12).Param2 = 2
Objects(14).Param1 = 3
Objects(14).Param2 = 0.02
Objects(16).Param1 = 0.000001
Objects(17).Param1 = 2
Objects(17).Param2 = 0.01
Objects(18).Param1 = 0.01
Objects(19).Param1 = 0
End Sub

